Bug 483846 - Review Request: gsim85 - An 8085 microprocessor simulator
Review Request: gsim85 - An 8085 microprocessor simulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 16:26 EST by Fabian Affolter
Modified: 2010-10-10 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:38:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-02-03 16:26:59 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gsim85.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gsim85-0.2-1.fc10.src.rpm

Project URL: http://gsim85.sourceforge.net/

Description:
It is an 8085 simulator. it is having very user friendly graphical
user interface. It can be used to test 8085 programs before actualy
implementing them on target board.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1102409

rpmlint output:
[fab@laptop24 i386]$ rpmlint gsim85*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint gsim85-0.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2009-02-03 18:41:28 EST
There is a small cosmetic issue with the desktop file: the icon should either contain the full path to the file or just the name (without extension). Your desktop file contains name.extension.
As a minor non-blocking issue, you have a duplicate BR, gtk2-devel is brought in by libglade2-devel.


It would be awesome if you also convince the installer to preserve the timestamps of the pixmaps. Given the build log, I'd say that adding INSTALL="install -p" to "make install "should do it.
Comment 2 Fabian Affolter 2009-02-03 19:15:23 EST
Thanks for your inputs

(In reply to comment #1)
> There is a small cosmetic issue with the desktop file: the icon should either
> contain the full path to the file or just the name (without extension). Your
> desktop file contains name.extension.

Added a small patch

> As a minor non-blocking issue, you have a duplicate BR, gtk2-devel is brought
> in by libglade2-devel.

fixed 
 
> It would be awesome if you also convince the installer to preserve the
> timestamps of the pixmaps. Given the build log, I'd say that adding
> INSTALL="install -p" to "make install "should do it.

fixed

Here are the updated files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gsim85.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gsim85-0.2-2.fc10.src.rpm
Comment 3 manuel wolfshant 2009-02-03 19:38:28 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
==> see also note 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 349a5260f40074ec7b7167ce554b4e0b6841cfc0 gsim85-0.2-2.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
  [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: devel/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Final Notes ===
1. Upstream's intention regarding the license is clearly expressed (help.c prints the GPLv2+ license & COPYING is bundled) but please ask them to include the license info in all source files.


================
*** APPROVED ***
================
Comment 4 Fabian Affolter 2009-02-04 04:23:02 EST
I filled a bug about the statement in the source file header.
Comment 5 Fabian Affolter 2009-02-04 04:26:24 EST
New Package CVS Request
=======================
Package Name: gsim85 
Short Description: An 8085 microprocessor simulator
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 7 Chitlesh GOORAH 2009-02-04 13:39:07 EST
Looking forward to add it under FEL-11 livedvd :D
Comment 8 Kevin Fenzi 2009-02-05 22:08:46 EST
cvs done.
Comment 10 Chitlesh GOORAH 2010-09-12 14:57:40 EDT
Fabian and I agreed that as from now, I'll maintain gsim85 for EL branches while he will continue to maintain the Fedora branches.

Package CVS Change Request
=======================
Package Name: gsim85
Short Description: An 8085 microprocessor simulator
Owners: fab chitlesh
Branches: EL-5 EL-6
Comment 11 Kevin Fenzi 2010-09-25 00:42:48 EDT
Sorry for the delay here, our script to process these doesn't 
understand "Package CVS Change Request". Can you use 'Package Change Request' and 
reset the flag when you are ready?
Comment 12 Chitlesh GOORAH 2010-10-05 15:36:38 EDT
Package Change Request
=======================
Package Name: gsim85
Short Description: An 8085 microprocessor simulator
Owners: fab chitlesh
Branches: EL-5 EL-6
Comment 13 Jens Petersen 2010-10-06 22:52:50 EDT
Somehow process-git-requests doesn't seem to parse the branches
but I don't see why not.
Comment 14 Kevin Fenzi 2010-10-10 00:21:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.